%define	desktop_vendor planetccrma

Summary: MIDI router and filter utility
Name: qmidiroute
Version: 0.2.1
Release: 4%{?dist}
URL: http://alsamodular.sourceforge.net/
Source0: http://dl.sf.net/alsamodular/qmidiroute-%{version}.tar.bz2
Source1: qmidiroute.desktop
License: GPL
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: desktop-file-utils alsa-lib-devel glibc-devel
%if 0%{?fedora} > 8
BuildRequires: qt3-devel
%else
BuildRequires: qt-devel
%endif

%description
MIDI router and filter utility.

%prep
%setup -q

%build
%{__perl} -p -i -e "s,/usr/lib/qt3,${QTDIR},g" make_qmidiroute
%{__perl} -p -i -e "s,-lqt-mt,-lstdc++ -lqt-mt -lqassistantclient,g" make_qmidiroute

%{__make} %{?_smp_mflags} -f make_qmidiroute

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_bindir}
%{__install} -m 0755 qmidiroute %{buildroot}%{_bindir}

BASE="Application AudioVideo Audio"
XTRA="X-MIDI Midi"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/qmidiroute
%{_datadir}/applications/%{desktop_vendor}-qmidiroute.desktop

%changelog
* Wed May 19 2010 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- add -lstdc++ for fc13/gcc4.4.4

* Wed Nov 14 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.1-4
- updated desktop categories

* Wed Dec  6 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.1-3
- spec file tweaks

* Sat May 13 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.1-2
- added Planet CCRMA categories to desktop file

* Fri Mar 31 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- rebuilt on fc5, add qt name

* Wed May  5 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.1-1
- initial build
